##set build hash id
buildHash=$(git rev-parse --short HEAD)

##update submodules
git submodule update --init --recursive --remote

##build and copy wownerod
sudo xbps-install -Su openssl-devel boost-devel libldns-devel \
libunwind-devel readline-devel unbound-devel miniupnpc-devel git \
expat-devel cppzmq czmq-devel libsodium-devel base-devel cmake
cd external/wownero
cmake -DSTACK_TRACE:BOOL=OFF
make -j2
cp -a bin/* ../../include/usr/bin/.
cd ../..

##copy splash
cp -a splash.png external/void-mklive/data/splash.png

##build wowbox with sudo
cd external/void-mklive
make
sudo ./mklive.sh \
-a x86_64-musl \
-I ../../include \
-o ../../wowbox-x86_64-$buildHash.iso \
-p "grub-i386-efi grub-x86_64-efi dialog cryptsetup lvm2 \
mdadm tor i2pd pwgen openntpd gnupg2 dillo curl \
openssl-devel boost-devel libldns-devel libunwind-devel \
readline-devel unbound-devel miniupnpc-devel expat-devel \
cppzmq czmq-devel libsodium-devel nano alsa-utils mplayer"
